import { jsx } from "react/jsx-runtime";
import { TokenFIS as TokenFIS$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenFIS = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "FIS", "data-name": "TokenFIS", ...props, children: /* @__PURE__ */ jsx(TokenFIS$1, { variant }) });
  }
);
TokenFIS.displayName = "TokenFIS";
Object.assign(TokenFIS, { isGdsIcon: true });
export {
  TokenFIS
};
